<template>
  <div class="backdrop">
    <div class="modal">
      <div class="new-creator">
        <form @submit.prevent="createNewCreator(this.creator_details)">
          <div class="details">
            <p>Name:</p>
            <input
              type="text"
              placeholder="Enter Name"
              v-model="this.creator_details.name"
              required
            />
          </div>
          <div class="details">
            <p>Email:</p>
            <input
              type="email"
              placeholder="Enter Email Address"
              v-model="this.creator_details.email"
              required
            />
          </div>
          <div class="details">
            <p>Phone:</p>
            <input
              type="number"
              placeholder="Enter Phone Number"
              v-model="this.creator_details.phone_number"
              required
            />
          </div>
          <div class="details">
            <p>Address:</p>
            <input
              type="address"
              placeholder="Enter Address"
              v-model="this.creator_details.address"
              required
            />
          </div>
          <div class="details">
            <p>Store Activation:</p>
            <select
              name=""
              id=""
              v-model="this.creator_details.activation_store"
              required
            >
              <option value="">Select Option</option>
              <option value="true">Yes</option>
              <option value="false">No</option>
            </select>
          </div>
          <div class="details">
            <p>Category:</p>
            <select
              name=""
              id=""
              v-model="this.creator_details.category"
              required
            >
              <option value="">Select Category</option>
              <option value="Fashion">Fashion</option>
              <option value="Fitness">Fitness</option>
            </select>
          </div>
          <div class="details">
            <p>Budget:</p>
            <input
              type="number"
              placeholder="Enter Budget"
              v-model="this.creator_details.budget_provided"
              required
            />
          </div>
          <div class="details">
            <p>GMV:</p>
            <input
              type="number"
              placeholder="Enter GMV"
              v-model="this.creator_details.gmv"
              required
            />
          </div>
          <div class="submit">
            <button>Submit</button>
          </div>
        </form>
      </div>
      <div class="close">
        <i
          @click="toggleCreatorForm(false)"
          class="fa-solid fa-circle-xmark"
        ></i>
      </div>
    </div>
  </div>
</template>

<script>
import { mapActions, mapGetters } from "vuex";
export default {
  data() {
    return {
      creator_details: {
        name: "",
        email: "",
        phone_number: "",
        address: "",
        activation_store: "",
        store_link: "https://www.hypd.store/i/lavisha_arora",
        category: "",
        budget_provided: "",
        gmv: "",
      },
    };
  },
  computed: mapGetters(["createCreator"]),
  methods: {
    ...mapActions(["toggleCreatorForm", "createNewCreator"]),
  },
};
</script>

<style scoped>
.backdrop {
  position: fixed;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.349);
}

.modal {
  position: fixed;
  top: 50%;
  left: 0;
  transform: translate(50%, -50%);
  background: #fff;
  width: 700px;
  padding: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;

  border-radius: 10px;
}

input,
select {
  width: 300px;
  border: 1px solid rgb(250, 250, 250);
  outline: none;
  background: rgb(247, 247, 247);
  padding: 0.75rem;
  border-radius: 20px;
}

input:hover,
input:focus {
  border: 1px solid #0072ff;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.details {
  display: grid;
  grid-template-columns: auto 400px;
  gap: 15px;
  align-items: center;
}

.details p {
  justify-self: flex-end;
}

form {
  display: flex;
  flex-direction: column;
  /* gap: 10px; */
}

.submit {
  align-self: center;
}

button {
  background: #0072ff;
  color: #fff;
  border-radius: 20px;
  padding: 0.75rem;
  font-weight: bold;
  width: 100px;
  outline: none;
  border: 1px solid #0072ff;
  margin-top: 8px;
  transition-duration: 0.3s;
  cursor: pointer;
}

button:hover {
  background: none;
  color: #0072ff;
}

.close {
  position: absolute;
  top: 15px;
  right: 15px;
}
.close i {
  font-size: 21px;
  cursor: pointer;
  transition-duration: 0.2s;
}

.close i:hover {
  color: red;
}
</style>